Name:           gnomebaker
Version:        0.6.4
Release:        30%{?dist}
Summary:        GNOME CD/DVD burner

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://sourceforge.net/projects/gnomebaker
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libgnomeui-devel >= 2.10.0
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:	scrollkeeper
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	ImageMagick

Requires:	dvd+rw-tools
Requires:	wodim => 1.1.6
Requires:	genisoimage => 1.1.6
Requires:	icedax => 1.1.6
Requires:	gstreamer-plugins-base >= 0.10
Requires:	gstreamer-plugins-good >= 0.10

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

Patch0: gnomebaker-0.6.4-mimetype.patch
Patch1: gnomebaker-0.6.4-nograce.patch
Patch2: gnomebaker-0.6.4-seldata.patch
Patch3: gnomebaker-0.6.4-ldadd.patch
Patch4: gnomebaker-0.6.4-iconname.patch
Patch5: gnomebaker-0.6.4-formaterr.patch

%description
CD/DVD burner designed for the GNOME desktop.


%prep
%setup -q
%patch0 -p1 -b .mimetype
%patch1 -p1 -b .nograce
%patch2 -p1 -b .seldata
%patch3 -p1 -b .ldadd
%patch4 -p1 -b .iconname
%patch5 -p1 -b .formaterr
chmod 644 AUTHORS TODO


%build
export LDFLAGS="-export-dynamic"
%configure --enable-libnotify=no
make %{?_smp_mflags}

# The icon in pixmaps dir is actually 100x100 and Xfce doesn't scale it well
mv pixmaps/gnomebaker-48.png pixmaps/gnomebaker-100.png
convert -scale 16x16 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-16.png
convert -scale 24x24 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-24.png
convert -scale 32x32 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-32.png
convert -scale 48x48 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-48.png
convert -scale 64x64 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-64.png
convert -scale 72x72 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-72.png
convert -scale 96x96 pixmaps/gnomebaker-100.png pixmaps/gnomebaker-96.png

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# Remove duplicate docs.
rm -rf $RPM_BUILD_ROOT/usr/doc/%{name}/

desktop-file-install --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   	\
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

install -D pixmaps/gnomebaker-16.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D pixmaps/gnomebaker-24.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
install -D pixmaps/gnomebaker-32.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D pixmaps/gnomebaker-48.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D pixmaps/gnomebaker-64.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -D pixmaps/gnomebaker-72.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/72x72/apps/%{name}.png
install -D pixmaps/gnomebaker-96.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/96x96/apps/%{name}.png
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}-48.png


%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :


%files -f %{name}.lang
%doc AUTHORS COPYING TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/72x72/apps/%{name}.png
%{_datadir}/icons/hicolor/96x96/apps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.4-28
- Remove obsolete scriptlets

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul 09 2015 Tomas Smetana <tsmetana@redhat.com> - 0.6.4-23
- Fix FTBFS in rawhide (i.e., really fix the -Werror=format-security)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 16 2014 Tomas Smetana <tsmetana@redhat.com> - 0.6.4-19
- Fix building with -Werror=format-security
- Resolves: rhbz#1037367

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Jon Ciesla <limburgher@gmail.com> - 0.6.4-17
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 16 2012 Tomas Smetana <tsmetana@redhat.com> - 0.6.4-15
- Add more icon sizes; fixes the wrong icon size in Xfce menu

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.6.4-12
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 05 2010 Tomas Smetana <tsmetana@redhat.com> - 0.6.4-10
- rebuild with new libxml

* Mon Feb 15 2010 Tomas Smetana <tsmetana@redhat.com> - 0.6.4-9
- fix #564617 - fails to link with --no-add-needed

* Wed Jan 13 2010 Tomas Smetana <tsmetana@redhat.com> - 0.6.4-8
- fix random crahses caused by mixing g_new() with g_slice_free()

* Sat Dec 26 2009 Tomas Smetana <tsmetana@redhat.com> - 0.6.4-7
- fix #497627 - no grace time => avoid nonprintable chars in the output log

* Thu Aug 13 2009 Tomas Smetana <tsmetana@redhat.com> - 0.6.4-6
- Shouldn't update the mime database but the desktop database

* Thu Aug 13 2009 Tomas Smetana <tsmetana@redhat.com> - 0.6.4-5
- And update the mime database...

* Wed Aug 12 2009 Tomas Smetana <tsmetana@redhat.com> - 0.6.4-4
- fix #506397 - missing MimeType entry in .desktop file

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 22 2008 Tomas Smetana <tsmetana@redhat.com> - 0.6.4-1
- new upstream version

* Tue Feb 12 2008 Tomas Smetana <tsmetana@redhat.com> - 0.6.2-2.1
- rebuild (gcc-4.3)
- fix #365241 gnomebaker homepage has moved

* Wed Sep 19 2007 Tomas Smetana <tsmetana@redhat.com> - 0.6.2-2
- fix wrong genisoimage call when using cdrkit backend

* Mon Sep 17 2007 Tomas Smetana <tsmetana@redhat.com> - 0.6.2-1
- new upstream version

* Fri Aug 31 2007 Tomas Smetana <tsmetana@redhat.com> - 0.6.1-4
- fix blanking CDRWs

* Thu Aug 30 2007 Tomas Smetana <tsmetana@redhat.com> - 0.6.1-3
- fix problems with wodim and old scsi b,t,l syntax
- fix uninitialised g_threads warning on startup
- cdrecord -> wodim, cdda2wav -> icedax, mkisofs -> genisoimage

* Tue Aug 28 2007 Tomas Smetana <tsmetana@redhat.com> - 0.6.1-2
- rebuild with -export-dynamic

* Mon Aug 27 2007 Tomas Smetana <tsmetana@redhat.com> - 0.6.1-1
- new upstream version

* Sun Jun 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.0-4
- Drop requires on yelp. (#243391)

* Sat Jun  9 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.0-3
- Add requires on yelp. (#243391)

* Tue Dec  5 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.0-2
- Add patch to fix device selection with multiple devices present.
- Drop X-Fedora category from desktop file.

* Sat Sep 16 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0.
- Drop BR on libglade2-devel.
- Add gtk+ icon cache scriptlets.
- Use gstreamer-0.10 now.

* Tue Sep  5 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-5
- Rebuild for FC6.
- Add BR on perl(XML::Parser).

* Tue Mar  7 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-4
- Rebuild for FC5.
- Add requires for gstreamer08-plugins.

* Sat Feb 11 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-3
- Rebuild.

* Mon Feb  6 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-2
- Bump release.

* Sat Feb  4 2006 Brian Pepple <bdpepple@ameritech.net> - 0.5.1-1
- Drop aclocal & autoconf calls.
- Change gstreamer-devel to gstreamer08-devel for FC5.
- Add dist tag.
- Correct permissions on AUTHORS & TODO.
- Drop help & desktop patchs.
- Update 0.5.1.

* Wed Oct 19 2005 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-3
- Edit configure.in to use RPM_OPT_FLAGS. (Thanks to Adrian Reber)

* Mon Oct 17 2005 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-2
- Rebuild config. & make files w/ aclocal & autconf, so builds on FC5.

* Sun Oct 16 2005 Brian Pepple <bdpepple@ameritech.net> - 0.5.0-1
- Initial Fedora Extras spec file.

